package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class InterviewReview extends CoreBillBase implements IInterviewReview
{
    public InterviewReview()
    {
        super();
        registerInterface(IInterviewReview.class, this);
    }
    public InterviewReview(Context ctx)
    {
        super(ctx);
        registerInterface(IInterviewReview.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("76AC7B0D");
    }
    private InterviewReviewController getController() throws BOSException
    {
        return (InterviewReviewController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public InterviewReviewCollection getInterviewReviewCollection() throws BOSException
    {
        try {
            return getController().getInterviewReviewCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public InterviewReviewCollection getInterviewReviewCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getInterviewReviewCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public InterviewReviewCollection getInterviewReviewCollection(String oql) throws BOSException
    {
        try {
            return getController().getInterviewReviewCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public InterviewReviewInfo getInterviewReviewInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getInterviewReviewInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public InterviewReviewInfo getInterviewReviewInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getInterviewReviewInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public InterviewReviewInfo getInterviewReviewInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getInterviewReviewInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}