package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class OfferPersonInfo extends CoreBillBase implements IOfferPersonInfo
{
    public OfferPersonInfo()
    {
        super();
        registerInterface(IOfferPersonInfo.class, this);
    }
    public OfferPersonInfo(Context ctx)
    {
        super(ctx);
        registerInterface(IOfferPersonInfo.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("887D1FF3");
    }
    private OfferPersonInfoController getController() throws BOSException
    {
        return (OfferPersonInfoController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public OfferPersonInfoCollection getOfferPersonInfoCollection() throws BOSException
    {
        try {
            return getController().getOfferPersonInfoCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public OfferPersonInfoCollection getOfferPersonInfoCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOfferPersonInfoCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public OfferPersonInfoCollection getOfferPersonInfoCollection(String oql) throws BOSException
    {
        try {
            return getController().getOfferPersonInfoCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public OfferPersonInfoInfo getOfferPersonInfoInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOfferPersonInfoInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public OfferPersonInfoInfo getOfferPersonInfoInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOfferPersonInfoInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public OfferPersonInfoInfo getOfferPersonInfoInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOfferPersonInfoInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}