package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class SalarySocialSecurity extends CoreBillBase implements ISalarySocialSecurity
{
    public SalarySocialSecurity()
    {
        super();
        registerInterface(ISalarySocialSecurity.class, this);
    }
    public SalarySocialSecurity(Context ctx)
    {
        super(ctx);
        registerInterface(ISalarySocialSecurity.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1A31DBE3");
    }
    private SalarySocialSecurityController getController() throws BOSException
    {
        return (SalarySocialSecurityController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public SalarySocialSecurityCollection getSalarySocialSecurityCollection() throws BOSException
    {
        try {
            return getController().getSalarySocialSecurityCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public SalarySocialSecurityCollection getSalarySocialSecurityCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSalarySocialSecurityCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public SalarySocialSecurityCollection getSalarySocialSecurityCollection(String oql) throws BOSException
    {
        try {
            return getController().getSalarySocialSecurityCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public SalarySocialSecurityInfo getSalarySocialSecurityInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSalarySocialSecurityInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public SalarySocialSecurityInfo getSalarySocialSecurityInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSalarySocialSecurityInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public SalarySocialSecurityInfo getSalarySocialSecurityInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSalarySocialSecurityInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}