/**
 * output package name
 */
package com.kingdee.eas.custom.hireapproval.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SocialSecurityTierEnum extends StringEnum
{
    public static final String LEVELONE_VALUE = "1";//alias=һ
    public static final String LEVELTWO_VALUE = "2";//alias=
    public static final String LEVELTHREE_VALUE = "3";//alias=

    public static final SocialSecurityTierEnum LEVELONE = new SocialSecurityTierEnum("LEVELONE", LEVELONE_VALUE);
    public static final SocialSecurityTierEnum LEVELTWO = new SocialSecurityTierEnum("LEVELTWO", LEVELTWO_VALUE);
    public static final SocialSecurityTierEnum LEVELTHREE = new SocialSecurityTierEnum("LEVELTHREE", LEVELTHREE_VALUE);

    /**
     * construct function
     * @param String socialSecurityTierEnum
     */
    private SocialSecurityTierEnum(String name, String socialSecurityTierEnum)
    {
        super(name, socialSecurityTierEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SocialSecurityTierEnum getEnum(String socialSecurityTierEnum)
    {
        return (SocialSecurityTierEnum)getEnum(SocialSecurityTierEnum.class, socialSecurityTierEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SocialSecurityTierEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SocialSecurityTierEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SocialSecurityTierEnum.class);
    }
}