package com.kingdee.eas.custom.hireapproval.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.hireapproval.task.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class OfferApprovalFacade extends AbstractBizCtrl implements IOfferApprovalFacade
{
    public OfferApprovalFacade()
    {
        super();
        registerInterface(IOfferApprovalFacade.class, this);
    }
    public OfferApprovalFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IOfferApprovalFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E933FC0F");
    }
    private OfferApprovalFacadeController getController() throws BOSException
    {
        return (OfferApprovalFacadeController)getBizController();
    }
    /**
     *ɶн-User defined method
     *@param preDays ǰ
     */
    public void generateSalaryData(int preDays) throws BOSException, EASBizException
    {
        try {
            getController().generateSalaryData(getContext(), preDays);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}