
package com.kingdee.eas.custom.hireapproval.web;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.operamasks.faces.annotation.Inject;
import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.MetaDataPK;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.waf.annotation.IBOSBizCtrl;
import com.kingdee.bos.waf.util.OperateState;
import com.kingdee.bos.waf.winlet.edit.EditBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBase;
import org.operamasks.faces.annotation.Accessible;
import org.operamasks.faces.component.form.impl.*;
import com.kingdee.bos.waf.action.AbstractWebAction;
import javax.faces.event.AbortProcessingException;
import javax.faces.context.FacesContext;
import org.operamasks.faces.component.action.ActionEvent;
import org.operamasks.faces.annotation.Action;
import com.kingdee.bos.waf.winlet.BaseBean;
import com.kingdee.bos.metadata.entity.SelectorItemInfo;

import com.kingdee.eas.custom.hireapproval.ISalarySocialSecurity;
import com.kingdee.eas.custom.hireapproval.SalarySocialSecurityInfo;

public abstract class AbstractSalarySocialSecurityEditUIBean extends com.kingdee.bos.waf.winlet.edit.EditBean {

	@IBOSBizCtrl
	protected com.kingdee.eas.custom.hireapproval.ISalarySocialSecurity service;

	public AbstractSalarySocialSecurityEditUIBean() {
		super();
	}

	
	
	@Override
	public void createNewModel() {
		model = new SalarySocialSecurityInfo();
	}

	@Override
	public void pageOnload() {
		super.pageOnload();
		
		
	}

	@Override
	public void saveModel() {
		updateModel();
		super.saveModel();
	}

	@Override
	public void submitModel() {
		updateModel();
		super.submitModel();
	}


	protected void updateModel() {


	}
	
		

	@Override
	protected ICoreBase getBizInterface() {
		return service;
	}
	
	@Override
	public IMetaDataPK getMetaDataPK() {
		return new MetaDataPK("com.kingdee.eas.custom.hireapproval.web.SalarySocialSecurityEditUI");
	}
	
	@Override
	protected String getEntryPKName() {
	
		return super.getEntryPKName();
	
	}

	@Override
	public SelectorItemCollection getSelectors() {
		SelectorItemCollection sic = super.getSelectors();
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("handler.*"));
        sic.add(new SelectorItemInfo("description"));
        sic.add(new SelectorItemInfo("auditor.*"));
        sic.add(new SelectorItemInfo("baseSalary"));
        sic.add(new SelectorItemInfo("overtimePay"));
        sic.add(new SelectorItemInfo("skillPay"));
        sic.add(new SelectorItemInfo("jobSubsidy"));
        sic.add(new SelectorItemInfo("perfSalary"));
        sic.add(new SelectorItemInfo("eduAllowance"));
        sic.add(new SelectorItemInfo("expenseAllowance"));
        sic.add(new SelectorItemInfo("monthSalarySum"));
        sic.add(new SelectorItemInfo("formalMonthlySalary"));
        sic.add(new SelectorItemInfo("quarterPerfBase"));
        sic.add(new SelectorItemInfo("yearlyPerfBase"));
        sic.add(new SelectorItemInfo("totalAnnualSalary"));
        sic.add(new SelectorItemInfo("paymentLocation.*"));
        sic.add(new SelectorItemInfo("socialSecurityTier"));
        sic.add(new SelectorItemInfo("fundBase"));
        sic.add(new SelectorItemInfo("currencyType.*"));
        sic.add(new SelectorItemInfo("remark"));
	
		return sic;
	}			
    	protected String getTDTemplateName() {
	    	return "/bim/custom/hireapproval/SalarySocialSecurity";
		}
	    protected com.kingdee.bos.metadata.IMetaDataPK getTDQueryPK() {
	    	return new com.kingdee.bos.metadata.MetaDataPK("com.kingdee.eas.custom.hireapproval.app.SalarySocialSecurityQuery");
	    }

}
