package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class OfferApproval extends HRBillBase implements IOfferApproval
{
    public OfferApproval()
    {
        super();
        registerInterface(IOfferApproval.class, this);
    }
    public OfferApproval(Context ctx)
    {
        super(ctx);
        registerInterface(IOfferApproval.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("4C571893");
    }
    private OfferApprovalController getController() throws BOSException
    {
        return (OfferApprovalController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public OfferApprovalCollection getOfferApprovalCollection() throws BOSException
    {
        try {
            return getController().getOfferApprovalCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public OfferApprovalCollection getOfferApprovalCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOfferApprovalCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public OfferApprovalCollection getOfferApprovalCollection(String oql) throws BOSException
    {
        try {
            return getController().getOfferApprovalCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public OfferApprovalInfo getOfferApprovalInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOfferApprovalInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public OfferApprovalInfo getOfferApprovalInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOfferApprovalInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public OfferApprovalInfo getOfferApprovalInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOfferApprovalInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}