package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class PaymentLocation extends SHRBaseItem implements IPaymentLocation
{
    public PaymentLocation()
    {
        super();
        registerInterface(IPaymentLocation.class, this);
    }
    public PaymentLocation(Context ctx)
    {
        super(ctx);
        registerInterface(IPaymentLocation.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D7277AAF");
    }
    private PaymentLocationController getController() throws BOSException
    {
        return (PaymentLocationController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PaymentLocationInfo getPaymentLocationInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPaymentLocationInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PaymentLocationInfo getPaymentLocationInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPaymentLocationInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PaymentLocationInfo getPaymentLocationInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPaymentLocationInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PaymentLocationCollection getPaymentLocationCollection() throws BOSException
    {
        try {
            return getController().getPaymentLocationCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PaymentLocationCollection getPaymentLocationCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPaymentLocationCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PaymentLocationCollection getPaymentLocationCollection(String oql) throws BOSException
    {
        try {
            return getController().getPaymentLocationCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}